Class FileSystemClass
	Private fs
	Private m_HaveError
	Private m_ErrorNumber
	
	Public Property Get HaveError
		HaveError = m_HaveError
	End Property
	
	Public Property Get ErrorNumber
		ErrorNumber = m_ErrorNumber
	End Property

	Private Sub Class_Initialize	
		Set fs = WScript.CreateObject("Scripting.FileSystemObject")
		
		Call ClearErr()
	End Sub

	Private Sub Class_Terminate	
		Set fs = Nothing
	End Sub


	Public Sub CopyFolder(ByVal src, ByVal dest)
		Call fs.CopyFolder(src, dest, True)
		
		CheckErr()
	End Sub
	
	Public Sub CopyFile(ByVal src, ByVal dest)
		Call fs.CopyFile(src, dest, True)
		
		CheckErr()
	End Sub
	
	Public Sub CreateFolder(ByVal fld)
		Call fs.CreateFolder(fld)
		
		CheckErr()
	End Sub

	Public Sub DeleteFile(ByVal src)
		Call fs.DeleteFile(fld, True)
		
		CheckErr()
	End Sub
	
	Public Sub DeleteFolder(ByVal fld)
		Call fs.DeleteFolder(fld, True)
		
		CheckErr()
	End Sub
	
	Public Sub WriteStringToFile(ByVal sFileName, ByVal sString)
	   Dim oFile
	   
	   Set oFile = fs.CreateTextFile(sFileName, True)

	   oFile.Write (sString)
	   oFile.Close
	   
	   Set oFile = Nothing
	End Sub

	Public Function ReadStringFromFile(ByVal sFileName)
	On Error Resume Next
	   Dim oFile
	   Dim sStr
	   
	   Set oFile = fs.OpenTextFile(sFileName)
	   
	   sStr = oFile.ReadAll()
	   If Err.Number = 62 Then
	      sStr = ""
	      Err.Clear
	   Else
	      Err.Raise Err.Number
	   End If
	   
	   oFile.Close
	   
	   ReadStringFromFile = sStr
	   
	   Set oFile = Nothing
	End Function

	Function FolderExist (ByVal folderFullPath)
	    If (fs.FolderExists(folderFullPath)) Then
	        FolderExist = True
	    Else
	        FolderExist = False
	    End If
	End Function

	Function FileExist (ByVal fileFullPath)
	    If (fs.FileExists(fileFullPath)) Then
	        FileExist = True
	    Else
	        FileExist = False
	    End If
	End Function

	Function FolderEmpty(folderPath)

		Dim folder
		Dim SubFolders
		Dim SubFolder
		Dim Files
		Dim count

		Set folder = fs.GetFolder(folderPath)

		count = folder.Files.Count + folder.SubFolders.Count

		Set folder = Nothing
		
		FolderEmpty = IIf(count = 0, True, False)
	End Function

	
	
	Private Sub CheckErr()
		If Err.number <> 0 Then 
			m_ErrorNumber = Err.number
			m_HaveError = True
			
			Err.Clear
		End If
	End Sub


	Public Sub ClearErr()
		m_ErrorNumber = Err.number
		m_HaveError = False
		
		Err.Clear
	End Sub

End Class