Sub ReplaceFileString(ByVal fileName, ByVal varName, ByVal varValue)
	Dim pos
	Dim posEnd
	Dim fileCnt
	Dim fsc
	Dim newFileCnt
	
	Set fsc = New FileSystemClass
	
	If fsc.FileExist(fileName) Then
	
		fileCnt = fsc.ReadStringFromFile(fileName)
		
		pos = InStr(1, fileCnt, varName)
		
		If pos <> 0 Then
			posEnd = pos + Len(varName)
		
			newFileCnt = Mid(fileCnt, 1, pos-1)
			newFileCnt = newFileCnt & varValue 
			newFileCnt = newFileCnt & Mid(fileCnt, posEnd)

			Call fsc.WriteStringToFile (fileName, newFileCnt)

		End If
	End If
	
	Set fsc = Nothing	
End Sub

Function AppRegRead(ByVal varName)
	Dim sh
	Dim ret
	
	Set sh = Wscript.CreateObject("Wscript.Shell")
	
	ret = sh.RegRead(SETUP_REG_PATH & varName)

	Set sh = Nothing

	AppRegRead = ret
End Function

Sub AppRegWrite(ByVal varName, ByVal varValue)
	Dim sh
	Set sh = Wscript.CreateObject("Wscript.Shell")
	
	Call sh.RegWrite(SETUP_REG_PATH & varName, varValue)

	Set sh = Nothing
End Sub

Sub AppRegAppend(ByVal varName, ByVal varValue)
	Dim sh
	Dim str
	
	str = AppRegRead(varName)
	
	Set sh = Wscript.CreateObject("Wscript.Shell")
	
	Call sh.RegWrite(SETUP_REG_PATH & varName, str & SETUP_REG_FILES_SEP & varValue)

	Set sh = Nothing
End Sub

Sub AppRegDelete(ByVal varName)
	Dim sh
	Set sh = Wscript.CreateObject("Wscript.Shell")
	
	Call sh.RegDelete(SETUP_REG_PATH & varName)

	Set sh = Nothing
End Sub

Sub WriteLines(ByVal str)
	WScript.Echo
	WScript.Echo str
	WScript.Echo
End Sub

Function GetDriveList()
    Dim fs, drv
    Dim drvList
    
    Set fs = WScript.CreateObject("Scripting.FileSystemObject")

	drvList = " "

	For Each drv in fs.Drives
		If drv.IsReady And  drv.DriveType = 2 Then ' 2= "Fixed" 
			drvList = drvList & LCase(drv.DriveLetter) & " "
		End If
	Next
    
	GetDriveList = drvList
End Function

'Dim strMyName'

'WScript.Echo ("Enter Your full Name&gt;")
'WScript.StdIn.Read(0)
'strMyName = WScript.StdIn.ReadLine()
'WScri<pre>'Does File Exist (Boolean)

' Read line from console
Function ReadLine(ByVal message)
	WScript.StdOut.Write (message)
	WScript.StdIn.Read(0)
 	ReadLine = WScript.StdIn.ReadLine()
End Function

'* Folder exist
Function FolderExist (ByVal folderFullPath)
    Dim fso
    Set fso = CreateObject("Scripting.FileSystemObject")
    If (fso.FolderExists(folderFullPath)) Then
        FolderExist = True
    Else
        FolderExist = False
    End If
End Function




'* Return the directory without the file name
Function BasePath(ByVal sPathAndFile)
   Dim sPath
   
    Dim nSepPos
    Dim nSepPos2
    Dim fUsingDriveSep

    nSepPos = InStrRev(sPathAndFile, gstrSEP_DIR)
    nSepPos2 = InStrRev(sPathAndFile, gstrSEP_DIRALT)
    If nSepPos2 > nSepPos Then
        nSepPos = nSepPos2
    End If
    
    nSepPos2 = InStrRev(sPathAndFile, gstrSEP_DRIVE)
    If nSepPos2 > nSepPos Then
        nSepPos = nSepPos2
        fUsingDriveSep = True
    End If

    If nSepPos = 0 Then
        ' separator not found
        Call Err.Raise (ERRNUM_INVILIDEPATHFORMAT, "BasePath", ERRSRT_INVILIDEPATHFORMAT)
        sPath = ""
    Else
        If fUsingDriveSep Then
            sPath = Left(sPathAndFile, nSepPos)
        Else
            sPath = Left(sPathAndFile, nSepPos - 1)
        End If
    End If
   
   BasePath = sPath
End Function

'* Add directory separator
Function AddDirSep(ByVal strPathName)
    strPathName = RTrim(strPathName)
    If right(strPathName, Len(gstrSEP_URLDIR)) <> gstrSEP_URLDIR Then
        If right(strPathName, Len(gstrSEP_DIR)) <> gstrSEP_DIR Then
            strPathName = strPathName & gstrSEP_DIR
        End If
    End If
    
    AddDirSep = strPathName
End Function

'* Remove directory separator
Function RemoveDirSep(ByVal strPathName)
    Select Case right(strPathName, 1)
    Case gstrSEP_DIR, gstrSEP_DIRALT
        strPathName = Left(strPathName, Len(strPathName) - 1)
    End Select
    
    RemoveDirSep = strPathName
End Function

'* Ask for dest project directory
Function AskDestProject(ByVal defaultDestProject)
    Dim continue
    Dim userDestProject
    Dim destProject
    
    Do
			continue = False
					
			'Ask for directories
			userDestProject = ReadLine("Choose the projects' directory of Visual Studio (" & defaultDestProject & "): ")
			If (StrComp(userDestProject, "") = 0 ) Then
				destProject = disk & defaultDestProject
			Else
			  destProject = disk & userDestProject
			End If
			If FolderExist(destProject) Then 
				continue = True
			Else
				Call WriteLines ("Error: the folder " & destProject & " does not exist")
			End If
		Loop Until continue
    
    AskDestProject = destProject
End Function


'* Ask for dest project directory
Function AskDestWizard(ByVal defaultDestWizard)
    Dim continue
    Dim userDestWizard
    Dim destWizard
    
    Do
			continue = False
					
			'Ask for directories
			userDestWizard = ReadLine("Choose the wizards' directory of Visual Studio (" & defaultDestWizard & "): ")
			If (StrComp(userDestWizard, "") = 0 ) Then
				destWizard = disk & defaultDestWizard
			Else
			  destWizard = disk & userDestWizard
			End If
			If FolderExist(destWizard) Then 
				continue = True
			Else
				Call WriteLines ("Error: the folder " & destWizard & " does not exist")
			End If
		Loop Until continue
    
    AskDestWizard = destWizard
End Function